version := $(shell dpkg-parsechangelog -l../changelog | sed -nr 's/^Version: (.*)/\1/p')

all: aqhbci-tool4.1

aqhbci-tool4.1: aqhbci-tool4.1.txt aqhbci-tool4.1.generated.txt
	asciidoctor -d manpage -b manpage $<

aqhbci-tool4.1.generated.txt: ../../src/tools/aqbanking-cli/aqhbci-tool4
	$< --help \
		| sed -e 's/^Usage:.*//;s/^Global Options:.*//;s/:$$/::/g;s/^\(\S\+.*\)::$$/== \1/g;s/^  \(\S\+\)::/\1::/g;s/^ \[\(.*\)\]/\1::/g' \
		> $@

%:	%.txt
	asciidoctor -d manpage -b manpage $*.txt

clean:
	rm -f *.generated.txt *.1

.PHONY: all clean
